var tipApp = angular.module('tipApp', ['ngMessages']);

tipApp.config(function ($sceDelegateProvider) {
    $sceDelegateProvider.resourceUrlWhitelist([
        // Allow same origin resource loads.
        'self',
        // Allow loading from our assets domain. **.
        'https://www.xfinion.com/**'
    ]);
    }
);

tipApp.service('lookupService', lookupService);
tipApp.service('tipService', tipService);
tipApp.directive('complainantInformation', complainantInformation);
tipApp.directive('complainantInformationLite', complainantInformationLite);
tipApp.directive('fileread', fileread);
tipApp.controller('tipController', tipController);
tipApp.filter('currentdate', currentdate);
tipApp.directive('dateNow', dateNow);